export const fishRarities: API.FishRarity[] = [
  {
    id: 1,
    code: 'common',
    label: 'Phổ biến',
    description: 'Loài không có nguy cơ bị đe dọa',
    iucn_code: null,
    cites_appendix: null,
    vn_law: false,
  },
  {
    id: 2,
    code: 'near-threatened',
    label: 'Gần bị đe dọa',
    description: 'Có nguy cơ trong tương lai gần',
    iucn_code: 'NT',
    cites_appendix: null,
    vn_law: false,
  },
  {
    id: 3,
    code: 'vulnerable',
    label: 'Dễ bị tổn thương',
    description: 'Loài có nguy cơ tuyệt chủng mức trung bình',
    iucn_code: 'VU',
    cites_appendix: null,
    vn_law: false,
  },
  {
    id: 4,
    code: 'endangered',
    label: 'Nguy cấp',
    description: 'Nguy cơ tuyệt chủng cao',
    iucn_code: 'EN',
    cites_appendix: null,
    vn_law: false,
  },
  {
    id: 5,
    code: 'critically-endangered',
    label: 'Cực kỳ nguy cấp',
    description: 'Nguy cơ tuyệt chủng rất cao',
    iucn_code: 'CR',
    cites_appendix: null,
    vn_law: false,
  },
  {
    id: 6,
    code: 'cites-app-i',
    label: 'CITES Phụ lục I',
    description: 'Cấm hoàn toàn buôn bán quốc tế',
    iucn_code: null,
    cites_appendix: null,
    vn_law: false,
  },
  {
    id: 7,
    code: 'cites-app-ii',
    label: 'CITES Phụ lục II',
    description: 'Kiểm soát buôn bán quốc tế',
    iucn_code: null,
    cites_appendix: null,
    vn_law: false,
  },
  {
    id: 8,
    code: 'protected-vn',
    label: 'Bảo vệ theo Luật VN',
    description: 'Cấm đánh bắt hoặc hạn chế tại VN',
    iucn_code: null,
    cites_appendix: null,
    vn_law: false,
  },
];

export function getRarityById(id: number) {
  const rarity = fishRarities.find((item) => item.id === id);

  // Kiểm tra xem đối tượng có được tìm thấy hay không
  if (rarity) {
    // Nếu tìm thấy, trả về label và description
    return {
      rarityLabel: rarity.label,
      rarityDescription: rarity.description,
    };
  }

  // Nếu không tìm thấy, trả về null
  return null;
}

export const getColorByRarityLevel = (level: number) => {
  switch (level) {
    case 2:
      return '#FFCC00';
    case 3:
      return '#FFA500';
    case 4:
      return '#FF7F50';
    case 5:
      return '#FF6347';
    case 6:
      return '#FF4500';
    case 7:
      return '#FF0000';
    case 8:
      return '#8B0000';
    default:
      return 'B6F500';
  }
};
